index

Varkon System administrators manual

# The driver for HPCL5 plotters

The hpcl5 driver reads from standard input, translates .PLT or .DXF format to HPCL5 format and writes to standard output.

## Syntax

    $VARKON_BIN/hpcl5 -sS -wsL -xX -yY -vN -kK

Options preceded by a minus sign should be followed by their value without any separating blank spaces.

## Options

-sS | - Set scale to S. Float value, default = 1.0
-wsL | - Scale linewidth with L. Float value, default = 1.0
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-kK | - Set curve accuracy to K. Float value, default = 1.0

## Examples

    $VARKON_BIN/hpcl5 <plofile.PLT >plotfile.HP -s0.5

Scales the image in plotfile.PLT to half size and writes the result to a new file named "plotfile.HP" using the postscript format.

    $VARKON_BIN/hpcl5 <plofile.PLT -s0.5 | lp

Same as above but the result is sent to a spooled plotter.

    $VARKON_BIN/hpcl5 <plofile.PLT -s0.5 -ws2.5 | lp

Same as above but linewidth is scaled by 2.5.

## Comments

##

hpcl5 automatically recognizes if the input is in .PLT or DXF format. The -k option only applies to DXF format.

hpcl5 supports the WIDTH attribute for linewidth but not the PEN attribute for color.

Varkon version 1.19C svn# 120